Ubuntu

x200 laptop fails to complete to suspend on second suspend after boot

Reported by Jonathan Lange on 2011-09-01
56
This bug affects 8 people
Affects Status Importance Assigned to Milestone
libcgroup (Ubuntu)
Medium
Unassigned

Bug Description

I have Lenovo X200 laptop. In 11.04, it suspended & resumed reliably.

For the last week or so, running oneiric, the laptop has not suspended reliably. Specifically, when I suspend it for the second time, it starts to suspend – moon LED flashes, screen switches to black, blank terminal with a single non-flashing cursor – but never completes suspending. I inevitably end up having to force power-off by holding down the power button.

I asked on #ubuntu+1, #ubuntu-devel and #ubuntu-uk on how to report this effectively. The "best" help I got was someone telling me to try from unity2d to see if it's a compiz bug. I have the same problem under unity2d. My advisor told me to log it as a linux bug.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-9-generic 3.0.0-9.15
ProcVersionSignature: Ubuntu 3.0.0-9.15-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jml 5122 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 46'
   Mixer name : 'Conexant CX20561 (Hermosa)'
   Components : 'HDA:14f15051,17aa20ff,00100000'
   Controls : 16
   Simple ctrls : 8
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7XHT21WW-1.03'
   Mixer name : 'ThinkPad EC 7XHT21WW-1.03'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [off]
Date: Thu Sep 1 11:56:38 2011
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=c88ac700-43a9-4045-9a35-1bb4794e4ba9
MachineType: LENOVO 7454A12
ProcEnviron:
 PATH=(custom, user)
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: root=UUID=66c83d9d-bb68-4f51-995c-63e9b4ee025f ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-9-generic N/A
 linux-backports-modules-3.0.0-9-generic N/A
 linux-firmware 1.60
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: Upgraded to oneiric on 2011-07-26 (37 days ago)
UserAsoundrc:
 # ALSA library configuration file

 # Include settings that are under the control of asoundconf(1).
 # (To disable these settings, comment out this line.)
 </home/jml/.asoundrc.asoundconf>
WpaSupplicantLog:

dmi.bios.date: 07/30/2008
dmi.bios.vendor: LENOVO
dmi.bios.version: 6DET28WW (1.05 )
dmi.board.name: 7454A12
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6DET28WW(1.05):bd07/30/2008:svnLENOVO:pn7454A12:pvrThinkPadX200:rvnLENOVO:rn7454A12:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 7454A12
dmi.product.version: ThinkPad X200
dmi.sys.vendor: LENOVO

Jonathan Lange (jml) wrote :
Brad Figg (brad-figg) on 2011-09-01
Changed in linux (Ubuntu):
status: New → Confirmed

Hi Jonathan,

Can you tell me the most recent Oneiric kernel where suspend/resume was working reliably? Given you said it's been about a week since you first started noticing this, I'm guessing the 3.0.0-8.11 or 3.0.0-9.12 kernels were working for you? Please confirm as it will help us narrow down the window of regression and which patches to examine. Thanks in advance.

Changed in linux (Ubuntu):
assignee: nobody → Leann Ogasawara (leannogasawara)
importance: Undecided → Medium
status: Confirmed → In Progress

On Fri, Sep 2, 2011 at 3:23 PM, Leann Ogasawara
<email address hidden> wrote:
> Hi Jonathan,
>
> Can you tell me the most recent Oneiric kernel where suspend/resume was
> working reliably?  Given you said it's been about a week since you first
> started noticing this, I'm guessing the 3.0.0-8.11 or 3.0.0-9.12 kernels
> were working for you?  Please confirm as it will help us narrow down the
> window of regression and which patches to examine.  Thanks in advance.
>

Not off the top of my head, sorry. If you can give me a bunch of
kernel versions to try out, I can try downgrading to them and see if
the problem exists.

jml

Sure, please try the following and let me know your results.

https://launchpad.net/ubuntu/oneiric/amd64/linux-image-3.0.0-8-generic/3.0.0-8.11

and

https://launchpad.net/ubuntu/oneiric/amd64/linux-image-3.0.0-9-generic/3.0.0-9.12

You can confirm the version of the kernel you've booted into by running `uname -a` or `cat /proc/version_signature` from a Terminal.

Jonathan Lange (jml) wrote :

Bug appears in:

 * Linux truth 2.6.38-10-generic #46-Ubuntu SMP Tue Jun 28 15:07:17 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
 * Linux truth 3.0.0-10-generic #16-Ubuntu SMP Fri Sep 2 18:32:04 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
 * Linux truth 3.0.0-9-generic #12-Ubuntu SMP Sat Aug 20 18:55:02 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
 * Linux truth 3.0.0-8-generic #11-Ubuntu SMP Fri Aug 12 20:23:58 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
 * Linux truth 3.0.0-7-generic #9-Ubuntu SMP Fri Jul 29 21:27:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Testing protocol:
 1. Boot into kernel
 2. Record `uname -a`
 3. Unplug laptop
 4. Close lid
 5. Suspend once
 6. Open lid
 7. Unlock and wait until network connection re-established
 8. Close lid
 9. Wait for one minute while laptop fails to suspend
 10. Force shutdown by holding power off button
 11. Power on

Some times, closing the lid didn't trigger a suspend. This seemed to be only when gnome-settings-daemon had crashed / misbehaved. (themes were wrong, keymappings were wrong etc). In those cases I killed gnome-settings-daemon and then relaunched it in the background.

I've tried to double check and be careful that I've been reporting the test results correctly, and testing what I think I'm testing, but I couldn't be 100% sure.

Hope this helps. I really want to have a working laptop again.

Hi Jonathan,

Thanks for the testing. You mentioned that this bug appears in Natty 2.6.38-10 which would lead me to believe we introduced a regression in Natty via a stable update. Could you confirm that the 2.6.38-8.42 Natty kernel was/is working?

https://launchpad.net/ubuntu/natty/amd64/linux-image-2.6.38-8-generic/2.6.38-8.42

What about the newer, 2.6.38-11.48 kernel in natty-updates?

Also, how about the 2.6.38-11.49 kernel in natty-proposed?

Sorry to ask for all the extra testing, but I just want to get a clear understanding for when we introduced the regression.

Do you also recall if suspend/resume was ever working with any of the Oneiric kernels? I would assume no, if the regression was introduced in Natty (ie we would have inherited the regression into Oneiric).

Thanks in advance.

Jonathan Lange (jml) wrote :

On Tue, Sep 6, 2011 at 5:17 PM, Leann Ogasawara
<email address hidden> wrote:
> Hi Jonathan,
>
> Thanks for the testing.  You mentioned that this bug appears in Natty
> 2.6.38-10 which would lead me to believe we introduced a regression in
> Natty via a stable update.  Could you confirm that the 2.6.38-8.42 Natty
> kernel was/is working?
>
> https://launchpad.net/ubuntu/natty/amd64/linux-image-2.6.38-8-generic/2.6.38-8.42
>
> What about the newer, 2.6.38-11.48 kernel in natty-updates?
>
> Also, how about the 2.6.38-11.49 kernel in natty-proposed?
>
> Sorry to ask for all the extra testing, but I just want to get a clear
> understanding for when we introduced the regression.
>

No worries. Will try these out as soon as I may.

> Do you also recall if suspend/resume was ever working with any of the
> Oneiric kernels?  I would assume no, if the regression was introduced in
> Natty (ie we would have inherited the regression into Oneiric).
>

I *think* it was, but I couldn't say for certain.

jml

Jonathan Lange (jml) wrote :

OK. I tried all of those kernels and got the same bug. This has convinced me that it's not purely a kernel issue. Could it be some userspace software that I'm running that's somehow preventing suspend from finishing? If so, how could I go about detecting it?

Jonathan Lange (jml) wrote :

Suspend *works* on a clean oneiric beta 1 boot on this laptop.

I also tried running 'sudo pm-suspend' with lightdm killed and no X apps running. The same bug occurred. The output of the second, failing pm-suspend was the same as the first, successful one.

Hi Jonathan,

Thanks for the additional testing. This indeed doesn't sound like a kernel issue now that you've additionally confirmed that suspend is working properly with a clean Oneiric Beta-1 image. The question is now to figure out how your installed system has diverged and is different from a pristine Oneiric Beta-1 image. For now I'm going to move this away from the linux kernel package.

affects: linux (Ubuntu) → ubuntu
Changed in ubuntu:
assignee: Leann Ogasawara (leannogasawara) → nobody
status: In Progress → Triaged
Jonathan Lange (jml) wrote :

Thanks Leann.

I tried getting the process list from the live CD (ps ax) and then comparing it to the process list from my laptop. I did both while lightdm was stopped & no X apps running, as I can reproduce the issue under those circumstances.

Booted into my laptop, I killed all of the processes that were running on it but not under the live CD. I then successfully reproduced the bug.

Thus, unless my methods were faulty, the bug is not being caused by a running process.

Am now a bit stuck as to what to do next.

ZhengPeng Hou (zhengpeng-hou) wrote :

encountered with the same issue, but suspend works fine with 'sudo pm-suspend' in a terminal.

Jonathan Lange (jml) wrote :

Note that suspend does *not* work fine with 'sudo pm-suspend' for me. ZhengPeng Hou, you might have a different bug.

stgraber points out:

"""
Do you happen to have cgroup-bin installed on your system?

If you do, try removing it and install cgroup-lite instead.
cgroup-bin has known race conditions that trigger the exact same behavior you describe in your e-mail (did for me on my x201s).
"""

I followed his instructions and the bug no longer affects me.

Per Jonathan's comment I reassigned this to cgroup-bin.

affects: ubuntu → libcgroup (Ubuntu)
Martin Pool (mbp) wrote :

I filed what might be a dupe of this in bug 830355 (on a Thinkpad X201). For me with 3.0.0-11.18 and today's oneiric, it seems to be working ok.

Jonathan Lange (jml) wrote :

Probably not a dupe. This bug was fixed by uninstalling cgroup-bin.

jimmij (jameha) wrote :

Just want to confirm that removing cgroup-bin resolved this issue for me on a Thinkpad T400.

Jelmer Vernooij (jelmer) wrote :

I can confirm this on a ThinkPad X201 as well - and replacing cgroup-bin with cgroup-lite fixed it for me too.

Cyberax (alex-besogonov) wrote :

Had this problem as well on Sony VPCSE. Replacing cgroup-bin with cgroup-lite fixed the issue.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers